package enumeration;

public enum Planet {
    MERKUR(59e+6, 88), VENUS(108e+6, 225),
    ERDE(150e+6, 365), MARS(228e+6, 1.9*365),
    JUPITER(778e+6, 11.9*365), SATURN(1427e+6, 29.5*365),
    URANUS(2870e+6, 84*365), NEPTUN(4497e+6, 165*365);
    
    private final double entfernungsonne;
    private final double umlaufzeit;
    
    private Planet(double entfernungsonne, double umlaufzeit) {
        this.entfernungsonne = entfernungsonne;
        this.umlaufzeit = umlaufzeit;
    }
    
    public double bahngeschwindigkeit() {
        return 2 * entfernungsonne * Math.PI / umlaufzeit / 24;
    }
    
    @Override
    public String toString() {
        return name() + " ist der " + (ordinal() + 1) + " Planet im Sonnensystem.";
        
    }

}
