package pr2.enums.eigene;

import java.util.Random;

/**
 * Ein einfacher Würfel.
 */
public enum Wuerfel {

    D4(4), D6(6), D8(8), D10(10), D12(12);

    /**
     * Zufallszahlengenerator.
     */
    private final Random rnd = new Random();

    /**
     * Anzahl der Seiten des Würfels.
     */
    private final int numSides;

    /**
     * Einen neuen Würfel anlegen.
     *
     * @param typ Anzahl der Seiten des Würfels.
     */
    private Wuerfel(int nr) {
        this.numSides = nr;
    }

    /**
     * Den Würfel werfen.
     *
     * @return Ergebnis des Wurfes.
     */
    public int roll() {
        return rnd.nextInt(numSides) + 1;
    }
}
