package pr2.generics.einfach;

/**
 * Eine einfache, verkettete Liste.
 *
 * @param <T> Typ der gespeicherten Objekte
 */
/**
 * Eine einfache, verkettete Liste.
 */
public class Liste<T> {

    /** Referenz auf den ersten Knoten. */
    private ListeNode first;

    /** Referenz auf den aktuellen Knoten. */
    private ListeNode current;

    /**
     * Fügt ein neues Element an das Ende der Liste an.
     *
     * @param i das Element
     */
    public void add(String i) {

        @SuppressWarnings("unchecked")
        ListeNode nextNode = new ListeNode(i);

        if (current == null) {
            // Liste komplett leer
            first = nextNode;
            current = nextNode;
        }
        else {
            current.setNext(nextNode);
            current = nextNode;
        }
    }

    /**
     * Liest das Element an der gegebenen Position.
     *
     * @param index Index, beginnend bei 0.
     * @return Das Element oder {@code null}, wenn es nicht gefunden wurde.
     */
    @SuppressWarnings("unchecked")
    public String get(int index) {
        int count = 0;
        T node = (T) first;

        while ((node != null) && (count < index)) {
            node = ((ListeNode<T>) node).getNext();
            count++;
        }

        if ((count == index) && (node != null)) {
            return ((ListeNode<T>) node).getData();
        }
        else {
            // index does not exist
            return null;
        }
    }

    /**
     * Löscht die Liste und entfernt alle Elemente.
     */
    public void clear() {
        first = null;
        current = null;
    }

    /**
     * Liefert die Anzahl der Elemente der Liste zurück.
     *
     * @return die Anzahl der Elemente.
     */
    public int size() {
        int count = 0;
        T node = (T) first;

        while (node != null) {
            node = (T) ((ListeNode) node).getNext();
            count++;
        }

        return count;
    }

    public void add(int i) {
        // TODO Auto-generated method stub
        
    }
}
