package pr2.vererbung.statics;

import java.util.Random;

/**
 * Ein einfacher Würfel.
 */
public class Wuerfel {
    

    /** Häufigkeit der Werte. */
    private static int[] haeufigkeit = new int[6];
    public static double counter = 0;
    /** Zufallsgenerator. */
    private Random random = new Random();

    /**
     * Bestimmt den nächsten Wurf.
     *
     * @return der Wurf.
     */
    public int wuerfele() {
        counter++;
        int wert = random.nextInt(6);
        haeufigkeit[wert]++;
        return wert + 1;
    }

    /**
     * Gibt die Häufigkeit der Würfe zurück.
     *
     * @return die Statistik mit der Häufigkeit.
     */
    public String statistik() {
        StringBuilder result = new StringBuilder();

        for (int i = 0; i < haeufigkeit.length; i++) {
            result.append(i + 1)
                  .append(": ")
                  .append(haeufigkeit[i])
                  .append("\n");
        }

        return result.toString();
    }
    
    public String statistikProzent() {
        StringBuilder result = new StringBuilder();
        
        for (int i = 0; i < haeufigkeit.length; i++) {
            
            double prozent = (100/counter*haeufigkeit[i]);
            
            result.append(i + 1)
                  .append(": ")
                  .append(prozent)
                  .append(" %")
                  .append("\n");
        }
        return result.toString();
    }
}
